> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-rasproviderstatus.md).

# Get-RASProviderStatus

### NAME

Get-RASProviderStatus\ <br>

### SYNOPSIS

Retrieves the Provider status information.\ <br>

### SYNTAX

Get-RASProviderStatus \[-[Id](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASProviderStatus.html#Id)] *\<uint>* \[-[StatusLevel](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASProviderStatus.html#StatusLevel) {Level1 | Level2 | Level3}] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASProviderStatus.html#CommonParameters)*>*]\
\
Get-RASProviderStatus \[-[InputObject](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASProviderStatus.html#InputObject)] *<*[*Provider*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/Provider.html)*>* \[-[StatusLevel](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASProviderStatus.html#StatusLevel) {Level1 | Level2 | Level3}] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASProviderStatus.html#CommonParameters)*>*]\
\
Get-RASProviderStatus \[\[-[Server](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASProviderStatus.html#Server)] *\<string>*] \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASProviderStatus.html#SiteId)] *\<uint>*] \[-[StatusLevel](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASProviderStatus.html#StatusLevel) {Level1 | Level2 | Level3}] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASProviderStatus.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Retrieves the Provider status information and optionally desktop VM and application info.\ <br>

### PARAMETERS

\
-**Server \<string>**\
The name of the Provider server for which to retrieve the information.\
\
This must be the actual server name used in the RAS farm.\ <br>

```
        Required?                    false
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
Site ID from which to retrieve the specified Provider server information.\
\
If the parameter is omitted, the site ID of the Licensing Server will be used.\ <br>

```
        Required?                    false
```

```
        Position?                    1
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Id \<uint>**\
The ID of the Provider server. To obtain the ID, use the Get-RASProvider cmdlet.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**InputObject <**[**Provider**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/Provider.html)**>**\
An object of type Provider representing a Provider server for which to retrieve the information.\
\
To obtain the object, use the Get-RASProvider cmdlet.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       true (ByValue)
```

```
        Accept wildcard characters?  false
```

\
-**StatusLevel <**[**StatusLevel**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/StatusLevel.html)**>**\
Specifies the level of detail that should be returned.\
\
Acceptable values: Level1 (Provider status information only), Level2 (Provider status and Desktop VM info), Level3 (Provider status, Desktop VMs, Applications).\
\
Possible values: Level1, Level2, Level3\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                Level1
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

[Provider](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/Provider.html)

### OUTPUTS

[ProviderSysInfo](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/ProviderSysInfo.html)[ProviderSysInfoHost](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/ProviderSysInfoHost.html)[ProviderSysInfoHostApp](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/ProviderSysInfoHostApp.html)

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Get-RASProviderStatus -Id 15\
\
Retrieves the Provider status information for the Provider server with ID 15.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Get-RASProviderStatus -Server MyProvider -StatusLevel Level2\
\
Retrieves the Provider status and the desktop VM information for the server named "MyProvider".\
\&#xNAN;**---------- EXAMPLE 3 ----------**\
\
Get-RASProviderStatus -InputObject $Provider -StatusLevel Level3\
\
Retrieves the Provider status, desktop VM, and application information for the server represented by the $Provider object.\
\&#xNAN;**---------- EXAMPLE 4 ----------**\
\
Get-RASProvider -Id 15 | Get-RASProviderStatus -StatusLevel Level1\
\
Retrieves the Provider status information for the server represented by the object obtained from the pipeline output.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-rasproviderstatus.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
